<?php  
/**
 * 程序入口
 * @author 贾彦
 * @version 1.0
 * @created 2010年12月22日13:53:53
 */
// sp框架的目录,SpeedPHP.php文件所在的目录  
define("SP_PATH",dirname(__FILE__)."/SpeedPHP");  
// 应用程序目录,controller和model等文件夹所在的目录,这里设置的是根目录  
define("APP_PATH",dirname(__FILE__));  
// 这里开始是应用程序的配置  

$spConfig = array(  
	"db" => array( // 数据库设置  
		'host' => 'localhost',  // 数据库地址,一般都可以是localhost  
		'login' => 'root', // 数据库用户名  
		'password' => 'jiayan', // 数据库密码  
		'database' => 'feedback', // 数据库的库名称  
	),

	'view' => array(
		'enabled' => TRUE, // 开启视图
		'config' =>array(
			'template_dir' => APP_PATH.'/tpl', // 模板目录
			'compile_dir' => APP_PATH.'/tmp', // 编译目录
			'cache_dir' => APP_PATH.'/tmp', // 缓存目录
			'left_delimiter' => '<{',  // smarty左限定符
			'right_delimiter' => '}>', // smarty右限定符
		),
	),
	
	'launch' => array( // 加入挂靠点,以便开始使用Url_ReWrite的功能
		'router_prefilter' => array( 
				array('spUrlRewrite', 'setReWrite'),  // 对路由进行挂靠,处理转向地址
			),
		'function_url' => array(
				array("spUrlRewrite", "getReWrite"),  // 对spUrl进行挂靠,让spUrl可以进行Url_ReWrite地址的生成
			),
	),
	
	'url' => array(  
			'url_path_info' => TRUE, // 是否使用path_info方式的URL  
			'url_path_base' => '/index.php', // URL的根目录访问地址  
	),
	
	 'ext' => array(
	 	 	// 以下是Url_ReWrite的设置
	 		'spUrlRewrite' => array(
				'hide_default' => false, // 隐藏默认的main/index名称，但这前提是需要隐藏的默认动作是无GET参数的
	 			'args_path_info' => true, // 地址参数是否使用path_info的方式，默认否
				'suffix' => '.html', // 生成地址的结尾符
			),
	 ),

);
require(SP_PATH."/SpeedPHP.php");  
spRun(); // SpeedPHP 3新特性