<?php
/**
 * 主控制器
 * @author 贾彦
 * @version 1.0
 * @created 2010年12月22日14:54:15
 */

class main extends spController
{
	function index(){ // 这里是首页
		$this->posturl = spUrl("main", "write"); // 用spUrl制造写留言的地址
		$feedback = spClass("lib_feedback"); // 用spClass来初始化留言本数据表对象（模型类对象）
		$this->results = $feedback->spPager($this->spArgs('page', 1), 5)->findAll('','id DESC'); // 这里使用了spPager，同时用spArgs接受到传入的page参数
		$this->pager = $feedback->spPager()->getPager(); // 这里获取分页数据并发送到smarty模板内   
		$this->display("main/index.html"); // 显示模板
	}
	function show(){ // 这里是查看留言内容
		$id = $this->spArgs("id"); // 用spArgs接收spUrl传过来的ID
		$feedback = spClass("lib_feedback");  // 还是用spClass
		$condition = array('id'=>$id); // 制造查找条件，这里是使用ID来查找属于ID的那条留言记录
		$result = $feedback->find($condition);  // 这次是用find来查找，我们把$condition（条件）放了进去
		// 下面输出了该条留言内容
		echo "<p>Type：{$result['type']}</p>";
		echo "<p>Name：{$result['customer']}</p>";
		echo "<p>Content：{$result['text']}</p>";
	}

	function write(){ // 这里是留言
		$feedback = spClass("lib_feedback");
		$newrow = array( // 这里制作新增记录的值
			'type' => $this->spArgs('type'), // 从spArgs获取到表单提交上来的type
			'customer' => $this->spArgs('customer'),
			'email' => $this->spArgs('email'),
			'telephone' => $this->spArgs('telephone'),
			'text' => $this->spArgs('text'),
			'created' => date("Y-m-d H:i:s"),
		);
		//dump($feedback->spVerifier($newrow)); //dump验证数据
		$result = $feedback->spVerifier($newrow); 
		if( false == $result){  
			// 通过验证后执行的...  
			$feedback->create($newrow); 
			$this->success("success！", spUrl("main", "index"));
			}else{  
			// 不能通过验证  
			//dump($result); 
			$this->type = $this->spArgs('type'); // 从spArgs获取到表单提交上来的
			$this->customer = $this->spArgs('customer');
			$this->email = $this->spArgs('email');
			$this->telephone = $this->spArgs('telephone');
			$this->text = $this->spArgs('text');

			$this->errmsg_arr = $result;

	//		$this->error("用户名/密码错误，请重新输入！", spUrl("main","index"));
			$this->display("main/index.html"); // 显示模板

		}  



	}

	function answered(){ //更新
		$post = spClass("lib_feedback");
		// 这里先判断是否传入了id
		if( $id = $this->spArgs("id") ){
			// 执行删除
		$conditions = array("id"=>$id); 
		$newrow = array(
			'answered' => date("Y-m-d H:i:s"),
			'manager' => "JiaYan",
			);
		$post->update($conditions, $newrow); // 更新记录
		$this->success("已完成回复！", spUrl("main", "index"));
		}
	}

	function del(){// 删除
		// 这里先判断是否传入了id
		if( $id = $this->spArgs("id") ){
			// 执行删除
			spClass("lib_feedback")->delete(array('id'=>$id));
			$this->success("删除成功！", spUrl("main","index"));
		}else{
			// 无id则直接跳转回首页
			$this->jump(spUrl("main","index"));
		}
	}

}	