<?php  
/**
 * feedback数据模型类
 * @author 贾彦
 * @version 1.0
 * @created 2010年12月22日14:53:53
 */

class lib_feedback extends spModel  
{
var $pk = "id"; // 每个留言唯一的标志，可以称为主键  
var $table = "feedback"; // 数据表的名称  
// 定义验证规则  
var $verifier = array(  
	"rules" => array( // 规则  
		'type' => array(  // 这里是对tpye的验证规则  
			'notnull' => TRUE, // tpye不能为空  
		),  
		'customer' => array(  // 这里是对customer的验证规则  
			'notnull' => TRUE, // customer不能为空  
			'minlength' => 2,  // customer长度不能小于2  
			'maxlength' => 16, // customer长度不能大于16  
		),  
		'email' => array(   // 这里是对email的验证规则  
			'notnull' => TRUE, // email不能为空  
			'email' => TRUE,   // 必须要是电子邮件格式  
			'minlength' => 8,  // email长度不能小于8  
			'maxlength' => 40, // email长度不能大于40  
			),  
		'telephone' => array(   // 这里是对电话格式的验证规则  
			'notnull' => TRUE, // 电话不能为空  
			'minlength' => 7,  // 电话长度不能小于7  
			'maxlength' => 30, // 电话长度不能大于30  
			),  
		'text' => array(   // 这里是对反馈内容的验证规则  
			'notnull' => TRUE, // 反馈内容不能为空  
			'minlength' => 3,  // 反馈内容长度不能小于3个字  
			),  
	),  
	"messages" => array( // 提示信息  
		'type' => array(  // 这里是对tpye的验证规则  
			'notnull' => "请选择反馈信息类型",
		),  
		'customer' => array(  
			'notnull' => "姓名不能为空",  
			'minlength' => "姓名不能少于5个字符",  
			'maxlength' => "姓名不能大于20个字符",  
		),  
		'email' => array(  
			'notnull' => "Email地址不能为空",
			'email' => "必须要是电子邮件格式",
			'minlength' => "email长度不能小于8",  
			'maxlength' => " email长度不能大于40",  
		),  
		'telephone' => array( 
			'notnull' => "电话不能为空",
			'minlength' => "电话长度不能小于7位",
			'maxlength' => "电话长度不能大于30位",
			),  
		'text' => array(
			'notnull' => "反馈内容不能为空",
			'minlength' => "反馈内容长度不能小于3个字",
			),  
	)  
);

}